1. Card Payments
  • API Docs Chile 🇨🇱
  • Online Payments
    • Release Notes
    • Card Payments
      • Request a card token
        POST
      • Create payment (tokenless)
        POST
      • Make a charge or deferred charge
        POST
      • Void a transaction
        DELETE
      • Refund a transaction
        DELETE
      • Request deferred options
        GET
      • Authorize payments
        POST
      • Preauthorization (tokenless)
        POST
      • Reauthorize payments
        POST
      • Capture an authorized payment
        POST
      • Verify Account
        POST
      • Validate OTP
        POST
      • Bin Info V2
        GET
      • Bin Info
        GET
      • Voucher
        GET
    • One-Click & Scheduled Payments
      • Request a recurring charge token
      • Create a recurring charge
      • Update recurring charge card data
      • Make an One-click payment
      • Cancel a recurring charge
      • Update a recurring charge
      • Add a temporary charge or discount
      • Authorize payments
      • Capture an authorized payment
      • Get recurring charge Info
    • Card Async
      • Request a card async token
      • Init Transaction
      • Authorize payments
      • Capture an authorized payment
      • Get Status
    • Async Card Recurring Charges
      • Request an async card recurring charge token
      • Init an async card recurring charge
      • Authorize payments
      • Capture an authorized payment
    • Chargebacks
      • Query chargebacks
      • Request chargeback export
    • Transfer In
      • Get Bank List
      • Request a Transfer In token
      • Init Transaction
      • Get Status
    • Transfer Out
      • Get Bank List
      • Get Bank List V2
      • Request a Transfer Out token
      • Init Transaction
      • Get Status
      • Balance for Payouts
    • Cash In
      • Request a cash in token
      • Init Transaction
      • Transaction Status
    • Smartlinks V2
      • Create a Smartlink
      • Get a Smartlink
      • Delete a smartlink
      • Update a Smartlink
    • Payment Button
      • Create a payment button
    • Analytics
      • Get transactions list v1
      • Get transactions list v2
    • Status
      • Get platform status
      • Get gateway status
    • Subscription Transactions
      • Get subscription transactions
    • Payment Credentials
      • Create a credential
      • Search credentials
      • Update credential
      • Regenerate a credential
      • Delete credential
      • Activate or deactivate
      • Advanced search
    • Settlement
      • Query settlement
  • API Raw Card Present Payments
    • Release Notes
    • Error Catalog
    • Test Data
    • Key Exchange Process
    • One-time payments
      • Single payment
    • Two-step-payments
      • Authorization and capture
    • Voids & Refunds
      • Refund a transaction
      • Void & Reverse
    • Card information
      • Get BIN Info
      • Bin Info V2
      • Request deferred options
    • Query Transactions
      • Transaction Search
    • Webhooks
      • Introduction
      • Good practices
      • Refunds
      • Card Payments
      • Check your webhooks
  • Kushki One
    • Cloud Services
      • Payment
        • Charge
        • Authorization (Pre-auth)
        • Capture
        • Re-authorization
        • Post-tip
        • Void
        • Refund
        • Abort
      • Search
        • Transaction Search
      • Print
        • Create Print Job
        • Get Print Job Status
    • Local Services
      • Payment
        • Charge
        • Authorization (Pre-auth)
        • Capture
        • Re-authorization
        • Post-tip
        • Void
        • Refund
        • Abort
      • Search
        • Transaction Search — Online
        • Transaction Search — Local
      • Print
        • Create Print Job
        • Get Print Job Status
        • Print Job Webhook (inbound — implemented by your POS)
  • Appian - Submerchant Register
    • Submerchant Validation in Batch
    • Query submerchant status by requestId/submerchantId
    • Get submerchantIds
    • Get credentials for submerchants
  • Schemas
    • RequestBodies
      • one-and-two-step-payment
    • documentType
    • Amount-cash-in
    • amount
    • Card
    • ChargebackListResponse
    • Channel
    • StatusComponent
    • SubscriptionTransactionsResponse
    • SettlementDateRangeRequest
    • AmountWithTaxes
    • PrintJobRequest
    • networkToken
    • extra_taxes
    • ChargebackItem
    • SubscriptionTransaction
    • SettlementTicketRequest
    • AmountCore
    • CommandText
    • webhooks
    • card
    • Amount-CL
    • webhooksItem
    • ErrorResponse400
    • SettlementResponse
    • ExtraTaxes
    • CommandColumns
    • headers
    • currency
    • Amount
    • card_details
    • ErrorResponse401
    • SettlementRecord
    • ColumnItem
    • Metadata
    • transactionType
    • enc_tlv
    • ErrorResponse403
    • ErrorResponse
    • TransactionResponse
    • CommandDivider
    • extraTaxes
    • Country
    • binInfo
    • Deferred
    • deferred
    • ErrorResponse500
    • payment_method
    • RawResponse
    • CommandFeed
    • SubscriptionUpdate
    • pos_details
    • CardData
    • CommandSpace
    • ContactDetails
    • Language
    • contact_details
    • sub_merchant
    • AmountWithTip
    • CommandCut
    • Subscription
    • metadata
    • LinkFailure
    • CommandImage
    • orderDetails
    • TransactionSearchRequest
    • CommandQR
    • Shipping Address
    • payment_submethod
    • CommandBarcode
    • Billing-Address
    • PrinterError
    • product
    • PrintJobStatus
    • threeDomainSecure
    • SubscriptionAdjustmentRequest
    • PrintWebhookPayload
    • webhooksChargeback
    • citMit
    • network
    • messageFields
    • UnexpectedErrorResponse
    • ExternalReferenceId
    • ExternalSubscriptionId
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴Chile 🇨🇱
  1. Card Payments

Create payment (tokenless)

POST
/card/v2/charges
Make a single charge without the need for a card token.

This is an On-demand service only available for PCI DSS compliance companies.#

This functionality is available for the following models:#

☑ Acquirer
☐ Aggregator

Limitations#

Only available for Visa and Mastercard.
Not compatible with Siftscience nor TransUnion antifraud tools.
Not compatible with Kushki 3DS authentication tool (Use instead your own 3DS authentication engine).
Not compatible with Kushki OTP authentication.

Example: Credit Type 03 (Chile's "Cuotas Comercio" Installments)#

⚠️ Beta Feature
The implementation of "Cuotas Comercio" (Credit Type 03) for Chile is currently in Beta phase. The data structure and logic are subject to change without prior notice during this period.

Example: Credit Type 03 (Chile's "Cuotas Comercio" Installments)#

"deferred": {
    "graceMonths": "00",
    "creditType": "03",
    "months": 3
}
```json
"deferred": {
    "graceMonths": "00",
    "creditType": "03",
    "months": 3
  }

Do you have your own 3DS authentication engine?*#

Make sure you include the threeDomainSecure object in your request.
* Applies in Chile 🇨🇱.

Do you have your own subscriptions engine?*#

This functionality is available for the following models:#

☑ Acquirer
☐ Aggregator
In case you have your own subscriptions engine (only PCI Compliance merchants), you can follow the steps below to process recurring charges:
1.
Send initialRecurrence in the transactionMode parameter and process the charge. For this initial transaction, you must send the CVV.
2.
Make sure you save the transactionReference number of the charge completed in step 1.
3.
For the subsequent transactions, send subsequentRecurrence in the transactionMode parameter and include the transactionReference number in the initialRecurrenceReference field. Now you can omit the CVV.
An alternative option to process external subscriptions is by sending the parameter externalSubscriptionID. Click here for more information.

Request

Header Params

Body Params application/json

Examples

Responses

🟢201Created
application/json
Bodyapplication/json

🟠400Bad Request
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://api-uat.kushkipagos.com/card/v2/charges' \
--header 'Private-Merchant-Id;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "card": {
        "name": "Catalina Fuentes",
        "number": "5311220000122112",
        "expiryMonth": "03",
        "expiryYear": "30",
        "cvv": "123"
    },
    "amount": {
        "subtotalIva": 0,
        "subtotalIva0": 10000,
        "ice": 0,
        "iva": 0,
        "currency": "CLP"
    },
    "isDeferred": false,
    "metadata": {
        "referencia": "999929"
    },
    "contactDetails": {
        "documentType": "RUT",
        "documentNumber": "12345678-9",
        "email": "user@example.com",
        "firstName": "Catalina",
        "lastName": "Fuentes",
        "phoneNumber": "+56912345678"
    },
    "orderDetails": {
        "siteDomain": "example.com",
        "shippingDetails": {
            "name": "Catalina Fuentes",
            "phone": "+56912345678",
            "address1": "Av. Apoquindo 4501",
            "city": "Santiago",
            "region": "Región Metropolitana",
            "country": "Chile"
        },
        "billingDetails": {
            "name": "Catalina Fuentes",
            "phone": "+56912345678",
            "address1": "Av. Apoquindo 4501",
            "city": "Santiago",
            "region": "Región Metropolitana",
            "country": "Chile"
        }
    },
    "productDetails": {
        "product": [
            {
                "id": "198952AB",
                "title": "eBook Digital Services",
                "price": 10000,
                "sku": "10101042",
                "quantity": 1
            }
        ]
    },
    "fullResponse": "v2"
}'
Response Response Example
201 - Approved with fullResponse
{
    "details": {
        "amount": {
            "subtotalIva": 0,
            "subtotalIva0": 5000,
            "ice": 0,
            "iva": 0,
            "currency": "CLP",
            "isDeferred": false
        },
        "approvalCode": "123456",
        "approvedTransactionAmount": 5000,
        "binInfo": {
            "bank": "Banco de S.A.",
            "binCard": "531122",
            "cardCountry": "Chile",
            "lastFourDigits": "2112",
            "type": "credit"
        },
        "cardHolderName": "Catalina Fuentes",
        "created": 1712092118000,
        "merchantId": "20000000101835540000",
        "merchantName": "CENTRALIZADA NUEVA PRUEBA GOB",
        "messageFields": {
            "f38": "123456",
            "f39": "00",
            "f48": {
                "s22": {
                    "se5": "C101"
                }
            }
        },
        "paymentBrand": "Mastercard",
        "processorBankName": "Kushki",
        "recap": "409321136945",
        "requestAmount": 5000,
        "responseCode": "000",
        "responseText": "Approved or completed successfully.",
        "transactionId": "821712092118240856443",
        "transactionReference": "3d0d7e1f-02b5-46fa-9791-92722f42df5b",
        "transactionStatus": "APPROVAL",
        "transactionType": "SALE"
    },
    "ticketNumber": "821712092118240271",
    "transactionReference": "3d0d7e1f-02b5-46fa-9791-92722f42df5b"
}
Modified at 2026-07-27 21:38:48
Previous
Request a card token
Next
Make a charge or deferred charge
Built with